/* ============================================================
 * File  : camerafolderitem.h
 * Author: Renchi Raju <renchi@pooh.tam.uiuc.edu>
 * Date  : 2003-01-23
 * Description : 
 * 
 * Copyright 2003 by Renchi Raju <renchi@pooh.tam.uiuc.edu>

 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * ============================================================ */

#ifndef CAMERAFOLDERITEM_H
#define CAMERAFOLDERITEM_H

#include <klistview.h>
#include <tqstring.h>

namespace KIPIKameraKlientPlugin
{

class CameraFolderItem : public KListViewItem {
public:
    CameraFolderItem(KListView* parent, const TQString& name);
    CameraFolderItem(KListViewItem* parent, const TQString& folderName, const TQString& folderPath);
    ~CameraFolderItem();
    TQString folderName();
    TQString folderPath();
    bool    isVirtualFolder();
    void    changeCount(int val);
    void    setCount(int val);
    int     count();
    
private:
    TQString folderName_;
    TQString folderPath_;
    TQString name_;
    bool    virtualFolder_;
    int     count_;
};

}  // NameSpace KIPIKameraKlientPlugin

#endif 

